Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PotentialfieldResult Class Reference

Describes the result of a potential field. More...

`#include <PotentialfieldComposition.h>`

Collaboration diagram for PotentialfieldResult:

[legend]
List of all members.

## Public Member Functions
void | operator= (const PotentialfieldResult &other)
| Copy operator.
## Public Attributes
double | value
| The validity of the result.
std::string | action
| The name of the action.
std::string | subAction
| Additional information about the action.
PfPose | motion
| A motion, not used in all results.
bool | actionPossible
| Flag: true, if the result describes a possible action.
unsigned int | fieldNumber
| The number of the selected field (for internal purposes).
unsigned long | timeStamp
| The point of time, this result was generated.

## Detailed Description

Describes the result of a potential field.

Definition at line 37 of file PotentialfieldComposition.h.

## Member Function Documentation

void PotentialfieldResult::operator= | ( | const PotentialfieldResult & | other | ) | `[inline]`

  | Copy operator. Parameters:
  other | Another PotentialfieldResult
Definition at line 58 of file PotentialfieldComposition.h. References action, actionPossible, fieldNumber, motion, subAction, timeStamp, and value.

## Member Data Documentation

double PotentialfieldResult::value

| The validity of the result. Definition at line 41 of file PotentialfieldComposition.h. Referenced by PotentialfieldComposition::execute(), Motionfield::execute(), Actionfield::execute(), Actionfield::findBestSequence(), and operator=().

std::string PotentialfieldResult::action

| The name of the action. Definition at line 43 of file PotentialfieldComposition.h. Referenced by PotentialfieldComposition::execute(), Potentialfield::getResult(), operator=(), and PotentialfieldComposition::PotentialfieldComposition().

std::string PotentialfieldResult::subAction

| Additional information about the action. Definition at line 45 of file PotentialfieldComposition.h. Referenced by Motionfield::execute(), Actionfield::execute(), Actionfield::findBestSequence(), and operator=().

PfPose PotentialfieldResult::motion

| A motion, not used in all results. Definition at line 47 of file PotentialfieldComposition.h. Referenced by PotentialfieldComposition::execute(), Motionfield::execute(), Actionfield::execute(), GT2005PotentialFieldBasicBehaviorAvoidRobots::execute(), GT2005PotentialFieldBasicBehaviorOffensiveSupport::execute(), GT2005PotentialFieldBasicBehaviorSupport::execute(), Actionfield::findBestSequence(), and operator=().

bool PotentialfieldResult::actionPossible

| Flag: true, if the result describes a possible action. Definition at line 49 of file PotentialfieldComposition.h. Referenced by PotentialfieldComposition::execute(), Motionfield::execute(), Actionfield::execute(), Potentialfield::getResult(), and operator=().

unsigned int PotentialfieldResult::fieldNumber

| The number of the selected field (for internal purposes). Definition at line 51 of file PotentialfieldComposition.h. Referenced by PotentialfieldComposition::execute(), and operator=().

unsigned long PotentialfieldResult::timeStamp

| The point of time, this result was generated. Definition at line 53 of file PotentialfieldComposition.h. Referenced by Motionfield::correctMotionVector(), PotentialfieldComposition::execute(), Potentialfield::getResult(), operator=(), and PotentialfieldComposition::PotentialfieldComposition().

The documentation for this class was generated from the following file:

- Tools/PotentialFields/PotentialfieldComposition.h